<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:34 CEST 2019 -->
<title>MaintenanceManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MaintenanceManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":38,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/NBackupManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/MaintenanceManager.html" target="_top">Frames</a></li>
<li><a href="MaintenanceManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Interface MaintenanceManager" class="title">Interface MaintenanceManager</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management">FBMaintenanceManager</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">MaintenanceManager</span>
extends <a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></pre>
<div class="block">A <code>MaintenanceManager</code> is responsible for replicating the
 functionality provided by the <code>gfix</code> command-line tool.
 <p>
 Among the responsibilities of this class are:
 <ul>
 <li>Database shutdown
 <li>Extended database shutdown/online modes
 <li>Changing database mode to read-only or read-write
 <li>Enabling or disabling forced writes in the database
 <li>Changing the dialect of the database
 <li>Setting the cache size at database-level
 <li>Mending databases and making minor repairs
 <li>Sweeping databases
 <li>Displaying, committing, or recovering limbo transactions
 <li>Activating and killing shadow files
 <li>Configuring page fill
 </ul>
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:gab_reid@users.sourceforge.net">Gabriel Reid</a>, <a href="mailto:tsteinmaurer@users.sourceforge.net">Thomas Steinmaurer</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#ACCESS_MODE_READ_ONLY">ACCESS_MODE_READ_ONLY</a></span></code>
<div class="block">Database read-only mode</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#ACCESS_MODE_READ_WRITE">ACCESS_MODE_READ_WRITE</a></span></code>
<div class="block">Database read-write mode</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#OPERATION_MODE_FULL_SHUTDOWN">OPERATION_MODE_FULL_SHUTDOWN</a></span></code>
<div class="block">Operation mode full shutdown.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#OPERATION_MODE_MULTI">OPERATION_MODE_MULTI</a></span></code>
<div class="block">Operation mode multi shutdown/online.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#OPERATION_MODE_NORMAL">OPERATION_MODE_NORMAL</a></span></code>
<div class="block">Operation mode normal online.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#OPERATION_MODE_SINGLE">OPERATION_MODE_SINGLE</a></span></code>
<div class="block">Operation mode single shutdown/online.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#PAGE_FILL_FULL">PAGE_FILL_FULL</a></span></code>
<div class="block">Fully fill pages when inserting records.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#PAGE_FILL_RESERVE">PAGE_FILL_RESERVE</a></span></code>
<div class="block">While inserting records, reserve 20% of each page for later record deltas</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#SHUTDOWN_ATTACH">SHUTDOWN_ATTACH</a></span></code>
<div class="block">Don't allow new connections while waiting to shut down.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#SHUTDOWN_FORCE">SHUTDOWN_FORCE</a></span></code>
<div class="block">Forced database shutdown.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#SHUTDOWN_TRANSACTIONAL">SHUTDOWN_TRANSACTIONAL</a></span></code>
<div class="block">Don't allow new transactions while waiting to shut down.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#SHUTDOWNEX_ATTACHMENTS">SHUTDOWNEX_ATTACHMENTS</a></span></code>
<div class="block">Shutdown attachments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#SHUTDOWNEX_FORCE">SHUTDOWNEX_FORCE</a></span></code>
<div class="block">Force shutdown.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#SHUTDOWNEX_TRANSACTIONS">SHUTDOWNEX_TRANSACTIONS</a></span></code>
<div class="block">Shutdown transactions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#VALIDATE_FULL">VALIDATE_FULL</a></span></code>
<div class="block">Do a full check on record and pages structures, releasing unassigned
 record fragments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#VALIDATE_IGNORE_CHECKSUM">VALIDATE_IGNORE_CHECKSUM</a></span></code>
<div class="block">Ignore checksums during repair operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#VALIDATE_READ_ONLY">VALIDATE_READ_ONLY</a></span></code>
<div class="block">Only report corrupt or misallocated structures, don't fix.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#activateShadowFile--">activateShadowFile</a></span>()</code>
<div class="block">Activate a database shadow file to be used as the actual database.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#bringDatabaseOnline--">bringDatabaseOnline</a></span>()</code>
<div class="block">Bring a shutdown database online.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#bringDatabaseOnline-byte-">bringDatabaseOnline</a></span>(byte&nbsp;operationMode)</code>
<div class="block">Bring a shutdown database online with enhanced operation modes (FB 2.5 or
 higher).</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#commitTransaction-long-">commitTransaction</a></span>(long&nbsp;transactionId)</code>
<div class="block">Commit a limbo transaction based on its ID.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>long[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#getLimboTransactions--">getLimboTransactions</a></span>()</code>
<div class="block">Retrieve the ID of each limbo transaction as an array of longs.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#killUnavailableShadows--">killUnavailableShadows</a></span>()</code>
<div class="block">Remove references to unavailable shadow files.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#limboTransactionsAsList--">limboTransactionsAsList</a></span>()</code>
<div class="block">Retrieve the ID of each limbo transaction as a List of Long objects.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#listLimboTransactions--">listLimboTransactions</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/management/MaintenanceManager.html#limboTransactionsAsList--"><code>limboTransactionsAsList()</code></a> or
 <a href="../../../org/firebirdsql/management/MaintenanceManager.html#getLimboTransactions--"><code>getLimboTransactions()</code></a> instead; this method will be removed in Jaybird 5.</span></div>
</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#markCorruptRecords--">markCorruptRecords</a></span>()</code>
<div class="block">Mark corrupt records in the database as unavailable.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#rollbackTransaction-long-">rollbackTransaction</a></span>(long&nbsp;transactionId)</code>
<div class="block">Rollback a limbo transaction based on its ID.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#setDatabaseAccessMode-int-">setDatabaseAccessMode</a></span>(int&nbsp;mode)</code>
<div class="block">Set the database to have read-write or read-only access.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#setDatabaseDialect-int-">setDatabaseDialect</a></span>(int&nbsp;dialect)</code>
<div class="block">Set the database's dialect.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#setDefaultCacheBuffer-int-">setDefaultCacheBuffer</a></span>(int&nbsp;pageCount)</code>
<div class="block">Set the default page-buffer count to be cached in the database.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#setForcedWrites-boolean-">setForcedWrites</a></span>(boolean&nbsp;forced)</code>
<div class="block">Enable or disable forced (synchronous) writes in the database.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#setPageFill-int-">setPageFill</a></span>(int&nbsp;pageFill)</code>
<div class="block">Set the page fill strategy for when inserting records.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#setSweepThreshold-int-">setSweepThreshold</a></span>(int&nbsp;transactions)</code>
<div class="block">Set the database automatic sweep interval to a given number of
 transactions.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-">shutdownDatabase</a></span>(byte&nbsp;operationMode,
                int&nbsp;shutdownModeEx,
                int&nbsp;timeout)</code>
<div class="block">Shutdown the current database with enhanced modes (FB 2.5 or higher).</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-int-int-">shutdownDatabase</a></span>(int&nbsp;shutdownMode,
                int&nbsp;timeout)</code>
<div class="block">Shutdown the current database.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#sweepDatabase--">sweepDatabase</a></span>()</code>
<div class="block">Perform an immediate sweep of the database.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#validateDatabase--">validateDatabase</a></span>()</code>
<div class="block">Locate and release database pages that are allocated but unassigned to
 any data structures.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/MaintenanceManager.html#validateDatabase-int-">validateDatabase</a></span>(int&nbsp;options)</code>
<div class="block">Locate and release database pages that are allocated but unassigned to
 any data structures.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.ServiceManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">setDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ACCESS_MODE_READ_WRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCESS_MODE_READ_WRITE</h4>
<pre>static final&nbsp;int ACCESS_MODE_READ_WRITE</pre>
<div class="block">Database read-write mode</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.ACCESS_MODE_READ_WRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACCESS_MODE_READ_ONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCESS_MODE_READ_ONLY</h4>
<pre>static final&nbsp;int ACCESS_MODE_READ_ONLY</pre>
<div class="block">Database read-only mode</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.ACCESS_MODE_READ_ONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWN_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWN_ATTACH</h4>
<pre>static final&nbsp;int SHUTDOWN_ATTACH</pre>
<div class="block">Don't allow new connections while waiting to shut down.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.SHUTDOWN_ATTACH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWN_TRANSACTIONAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWN_TRANSACTIONAL</h4>
<pre>static final&nbsp;int SHUTDOWN_TRANSACTIONAL</pre>
<div class="block">Don't allow new transactions while waiting to shut down.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.SHUTDOWN_TRANSACTIONAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWN_FORCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWN_FORCE</h4>
<pre>static final&nbsp;int SHUTDOWN_FORCE</pre>
<div class="block">Forced database shutdown.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.SHUTDOWN_FORCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VALIDATE_READ_ONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VALIDATE_READ_ONLY</h4>
<pre>static final&nbsp;int VALIDATE_READ_ONLY</pre>
<div class="block">Only report corrupt or misallocated structures, don't fix.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.VALIDATE_READ_ONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VALIDATE_IGNORE_CHECKSUM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VALIDATE_IGNORE_CHECKSUM</h4>
<pre>static final&nbsp;int VALIDATE_IGNORE_CHECKSUM</pre>
<div class="block">Ignore checksums during repair operations.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.VALIDATE_IGNORE_CHECKSUM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VALIDATE_FULL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VALIDATE_FULL</h4>
<pre>static final&nbsp;int VALIDATE_FULL</pre>
<div class="block">Do a full check on record and pages structures, releasing unassigned
 record fragments.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.VALIDATE_FULL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PAGE_FILL_FULL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAGE_FILL_FULL</h4>
<pre>static final&nbsp;int PAGE_FILL_FULL</pre>
<div class="block">Fully fill pages when inserting records.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.PAGE_FILL_FULL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PAGE_FILL_RESERVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAGE_FILL_RESERVE</h4>
<pre>static final&nbsp;int PAGE_FILL_RESERVE</pre>
<div class="block">While inserting records, reserve 20% of each page for later record deltas</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.PAGE_FILL_RESERVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATION_MODE_NORMAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_MODE_NORMAL</h4>
<pre>static final&nbsp;byte OPERATION_MODE_NORMAL</pre>
<div class="block">Operation mode normal online.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.OPERATION_MODE_NORMAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATION_MODE_MULTI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_MODE_MULTI</h4>
<pre>static final&nbsp;byte OPERATION_MODE_MULTI</pre>
<div class="block">Operation mode multi shutdown/online.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.OPERATION_MODE_MULTI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATION_MODE_SINGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_MODE_SINGLE</h4>
<pre>static final&nbsp;byte OPERATION_MODE_SINGLE</pre>
<div class="block">Operation mode single shutdown/online.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.OPERATION_MODE_SINGLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATION_MODE_FULL_SHUTDOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_MODE_FULL_SHUTDOWN</h4>
<pre>static final&nbsp;byte OPERATION_MODE_FULL_SHUTDOWN</pre>
<div class="block">Operation mode full shutdown.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.OPERATION_MODE_FULL_SHUTDOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWNEX_FORCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWNEX_FORCE</h4>
<pre>static final&nbsp;int SHUTDOWNEX_FORCE</pre>
<div class="block">Force shutdown.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.SHUTDOWNEX_FORCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWNEX_ATTACHMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHUTDOWNEX_ATTACHMENTS</h4>
<pre>static final&nbsp;int SHUTDOWNEX_ATTACHMENTS</pre>
<div class="block">Shutdown attachments.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.SHUTDOWNEX_ATTACHMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHUTDOWNEX_TRANSACTIONS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SHUTDOWNEX_TRANSACTIONS</h4>
<pre>static final&nbsp;int SHUTDOWNEX_TRANSACTIONS</pre>
<div class="block">Shutdown transactions.
 <p>
 To be used with the <a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/MaintenanceManager.html#shutdownDatabase-byte-int-int-"><code>shutdownDatabase(byte, int, int)</code></a>, 
<a href="../../../constant-values.html#org.firebirdsql.management.MaintenanceManager.SHUTDOWNEX_TRANSACTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setDatabaseAccessMode-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabaseAccessMode</h4>
<pre>void&nbsp;setDatabaseAccessMode(int&nbsp;mode)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set the database to have read-write or read-only access.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mode</code> - Must be either <code>ACCESS_MODE_READ_WRITE</code> or <code>ACCESS_MODE_READ_ONLY</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="setDatabaseDialect-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabaseDialect</h4>
<pre>void&nbsp;setDatabaseDialect(int&nbsp;dialect)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set the database's dialect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dialect</code> - The database dialect, must be either 1 or 3</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="setDefaultCacheBuffer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultCacheBuffer</h4>
<pre>void&nbsp;setDefaultCacheBuffer(int&nbsp;pageCount)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set the default page-buffer count to be cached in the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageCount</code> - The number of pages to be cached, must be a positive</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the given page count cannot be set, or a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="setForcedWrites-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForcedWrites</h4>
<pre>void&nbsp;setForcedWrites(boolean&nbsp;forced)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Enable or disable forced (synchronous) writes in the database.
 <p>
 Note, it is considered to be a <b>very</b> bad idea to disable forced
 writes on Windows platforms.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>forced</code> - If <code>true</code>, forced writes will be used in the database, otherwise buffered writes will be used.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="setPageFill-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPageFill</h4>
<pre>void&nbsp;setPageFill(int&nbsp;pageFill)
          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set the page fill strategy for when inserting records.
 <p>
 <code>pageFill</code> can be one of:
 <ul>
 <li><code>PAGE_FILL_FULL</code> Fully fill database pages
 <li><code>PAGE_FILL_RESERVE</code> Reserve 20% of page space for later
 record deltas
 </ul>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageFill</code> - The page-filling strategy, either <code>PAGE_FILL_FULL</code> or <code>PAGE_FILL_RESERVE</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="shutdownDatabase-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shutdownDatabase</h4>
<pre>void&nbsp;shutdownDatabase(int&nbsp;shutdownMode,
                      int&nbsp;timeout)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Shutdown the current database.
 <p>
 Shutdown can be done in three modes:
 <ul>
 <li><code>SHUTDOWN_ATTACH</code> - No new non-owner connections will be allowed to the database during the shutdown,
 and shutdown is cancelled if there are still processes connected at the end of the timeout.</li>
 <li><code>SHUTDOWN_TRANSACTIONAL</code> - No new transactions can be started during the timeout period, and shutdown
 is cancelled if there are still active transactions at the end of the timeout.</li>
 <li><code>SHUTDOWN_FORCE</code> - Forcefully shuts down the database at the end of the timeout.</li>
 </ul>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shutdownMode</code> - One of <code>SHUTDOWN_ATTACH</code>, <code>SHUTDOWN_TRANSACTIONAL</code>, or <code>SHUTDOWN_FORCE</code>.</dd>
<dd><code>timeout</code> - The maximum amount of time allocated for the operation, in seconds</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if the requested operation cannot be completed within the given timeout, or a database access error
         occurs</dd>
</dl>
</li>
</ul>
<a name="shutdownDatabase-byte-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shutdownDatabase</h4>
<pre>void&nbsp;shutdownDatabase(byte&nbsp;operationMode,
                      int&nbsp;shutdownModeEx,
                      int&nbsp;timeout)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Shutdown the current database with enhanced modes (FB 2.5 or higher).
 <p>
 There are three operation modes for shutdown available:
 <ul>
 <li><code>OPERATION_MODE_MULTI</code> - Multi-user maintenance. Unlimited SYSDBA/database owner connections are
 allowed.</li>
 <li><code>OPERATION_MODE_SINGLE</code> - Single-user maintenance. Only one SYSDBA/database owner connection is
 allowed.</li>
 <li><code>OPERATION_MODE_FULL_SHUTDOWN</code> - Full shutdown. Full exclusive shutdown. No connections are allowed.</li>
 </ul>
 </p>
 <p>
 There are three extended shutdown modes for shutdown available:
 <ul>
 <li><code>SHUTDOWNEX_FORCE</code> - Force shutdown.</li>
 <li><code>SHUTDOWNEX_ATTACHMENTS</code> - Shutdown attachments.</li>
 <li><code>SHUTDOWNEX_TRANSACTIONS</code> - Shutdown transactions.</li>
 </ul>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>operationMode</code> - one of <code>OPERATION_MODE_*</code> operation modes listed above</dd>
<dd><code>shutdownModeEx</code> - one of <code>SHUTDOWNEX_*</code> extended shutdown modes listed above</dd>
<dd><code>timeout</code> - The maximum amount of time allocated for the operation, in seconds. 0 = immediately.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if the requested operation cannot be completed within the given timeout, or a database access error
         occurs</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
</dl>
</li>
</ul>
<a name="bringDatabaseOnline--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bringDatabaseOnline</h4>
<pre>void&nbsp;bringDatabaseOnline()
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Bring a shutdown database online.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="bringDatabaseOnline-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bringDatabaseOnline</h4>
<pre>void&nbsp;bringDatabaseOnline(byte&nbsp;operationMode)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Bring a shutdown database online with enhanced operation modes (FB 2.5 or
 higher).
 <p>
 There are three operation modes for bringing a database online available:
 <ul>
 <li><code>OPERATION_MODE_NORMAL</code> - Normal operation modes.</li>
 <li><code>OPERATION_MODE_MULTI</code> - Multi-user maintenance. Unlimited SYSDBA/database owner connections are
 allowed.</li>
 <li><code>OPERATION_MODE_SINGLE</code> - Single-user maintenance. Only one SYSDBA/database owner connection is
 allowed.</li>
 </ul>
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>Firebird 2.5</dd>
</dl>
</li>
</ul>
<a name="markCorruptRecords--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>markCorruptRecords</h4>
<pre>void&nbsp;markCorruptRecords()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Mark corrupt records in the database as unavailable.
 <p>
 This operation ensures that the corrupt records are skipped (for example,
 during a subsequent backup).
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="validateDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateDatabase</h4>
<pre>void&nbsp;validateDatabase()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Locate and release database pages that are allocated but unassigned to
 any data structures. This method also reports corrupt structures.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="validateDatabase-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateDatabase</h4>
<pre>void&nbsp;validateDatabase(int&nbsp;options)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Locate and release database pages that are allocated but unassigned to
 any data structures. This method also reports corrupt structures.
 <p>
 The value supplied for <code>options</code> must be one of the following:
 <ul>
 <li>0 - Simple validation</li>
 <li><code>VALIDATE_READ_ONLY</code> - read-only validation, no repair</li>
 <li><code>VALIDATE_FULL</code> - full validation and repair</li>
 </ul>
 </p>
 <p>
 The value for <code>options</code> can additionally be combined in a bitmask with <code>VALIDATE_IGNORE_CHECKSUM</code> to
 ignore checksums while performing validation.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - Either 0, <code>VALIDATE_READ_ONLY</code>, or <code>VALIDATE_FULL</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="setSweepThreshold-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSweepThreshold</h4>
<pre>void&nbsp;setSweepThreshold(int&nbsp;transactions)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set the database automatic sweep interval to a given number of
 transactions.
 <p>
 The Firebird default value is 20,000. If <code>transactions</code> is 0, automatic sweeping is disabled.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactions</code> - The interval of transactions between automatic sweeps of the database. Can be set to 0, which disables
         automatic sweeping of the database.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="sweepDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sweepDatabase</h4>
<pre>void&nbsp;sweepDatabase()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Perform an immediate sweep of the database.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="activateShadowFile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activateShadowFile</h4>
<pre>void&nbsp;activateShadowFile()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Activate a database shadow file to be used as the actual database.
 <p>
 This method is the equivalent of <b><code>gfix -activate</code></b>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="killUnavailableShadows--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>killUnavailableShadows</h4>
<pre>void&nbsp;killUnavailableShadows()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Remove references to unavailable shadow files.
 <p>
 This method is the equivalent of <b><code>gfix -kill</code></b>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="listLimboTransactions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listLimboTransactions</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
void&nbsp;listLimboTransactions()
                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/management/MaintenanceManager.html#limboTransactionsAsList--"><code>limboTransactionsAsList()</code></a> or
 <a href="../../../org/firebirdsql/management/MaintenanceManager.html#getLimboTransactions--"><code>getLimboTransactions()</code></a> instead; this method will be removed in Jaybird 5.</span></div>
<div class="block">Retrieve the ID of each limbo transaction. The output of this method is
 written to the logger.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="limboTransactionsAsList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>limboTransactionsAsList</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&gt;&nbsp;limboTransactionsAsList()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Retrieve the ID of each limbo transaction as a List of Long objects.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="getLimboTransactions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLimboTransactions</h4>
<pre>long[]&nbsp;getLimboTransactions()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Retrieve the ID of each limbo transaction as an array of longs.
 <p>
 In Firebird 3, transactions are (unsigned) 48 bit longs.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="commitTransaction-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commitTransaction</h4>
<pre>void&nbsp;commitTransaction(long&nbsp;transactionId)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Commit a limbo transaction based on its ID.
 <p>
 The transaction id is expected to be a positive long. If you have a negative <code>int</code>, convert the int to
 an unsigned long using <a href="../../../org/firebirdsql/util/NumericHelper.html#toUnsignedLong-int-"><code>NumericHelper.toUnsignedLong(int)</code></a>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionId</code> - The ID of the limbo transaction to be committed (must be <code>&gt; 0</code>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs or the given transaction ID is not valid</dd>
</dl>
</li>
</ul>
<a name="rollbackTransaction-long-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rollbackTransaction</h4>
<pre>void&nbsp;rollbackTransaction(long&nbsp;transactionId)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Rollback a limbo transaction based on its ID.
 <p>
 The transaction id is expected to be a positive long. If you have a negative <code>int</code>, convert the int to
 an unsigned long using <a href="../../../org/firebirdsql/util/NumericHelper.html#toUnsignedLong-int-"><code>NumericHelper.toUnsignedLong(int)</code></a>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionId</code> - The ID of the limbo transaction to be rolled back (must be <code>&gt; 0</code>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs or the given transaction ID is not valid</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/NBackupManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/MaintenanceManager.html" target="_top">Frames</a></li>
<li><a href="MaintenanceManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
